Skip to main content
`Ctrl`+`K`

# NEPMonitorCancel

Clears all monitors for a `NEP` object.

## Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPMonitorCancel(NEP nep)

Logically Collective

## Input Parameter

- nep - the nonlinear eigensolver context

## Options Database Key

- -nep_monitor_cancel - cancels all monitors that have been hardwired into a code by calls to `NEPMonitorSet()`, but does not cancel those set via the options database.

## See Also

NEP: Nonlinear Eigenvalue Problems, `NEPMonitorSet()`

## Level

intermediate

## Location

src/nep/interface/nepmon.c

Index of all NEP routines Table of Contents for all manual pages Index of all manual pages